> ## Documentation Index
> Fetch the complete documentation index at: https://docs.scrapebadger.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Categories

> List eBay's top-level category id aliases.

Returns the reference list of top-level eBay category aliases and their ids. Use a returned `category_id` with [`/v1/ebay/categories/{category_id}/items`](/api-reference/endpoint/ebay/browse-category) to browse listings, or with the [`category_id`](/api-reference/endpoint/ebay/search) parameter on search.

## Response

<ResponseField name="categories" type="array">
  Array of category aliases.

  <Expandable title="CategoryInfo object">
    <ResponseField name="name" type="string">Human-readable category name (e.g. `Electronics`).</ResponseField>
    <ResponseField name="category_id" type="string">eBay category id (e.g. `293`).</ResponseField>
    <ResponseField name="parent" type="string">Parent category name, if nested (nullable).</ResponseField>
  </Expandable>
</ResponseField>

### Example Response

```json theme={null}
{
  "categories": [
    { "name": "Electronics", "category_id": "293", "parent": null },
    { "name": "Video Games & Consoles", "category_id": "1249", "parent": null },
    { "name": "Fashion", "category_id": "11450", "parent": null },
    { "name": "Home & Garden", "category_id": "11700", "parent": null }
  ]
}
```

<Note>
  Listing categories is a **free** reference endpoint (0 credits).
</Note>


## OpenAPI

````yaml GET /v1/ebay/categories
openapi: 3.1.0
info:
  title: ScrapeBadger eBay API
  version: 1.0.0
  description: >-
    eBay marketplace scraping API for searching active and completed (sold)
    listings, fetching item details, reviews, sellers, seller listings and
    feedback, category browsing, autocomplete, and reference data across 18
    marketplaces.
servers:
  - url: https://scrapebadger.com
    description: Production
security:
  - apiKeyAuth: []
paths:
  /v1/ebay/categories:
    get:
      tags:
        - eBay Reference
      summary: List Categories
      description: List eBay's top-level category id aliases.
      operationId: listEbayCategories
      parameters: []
      responses:
        '200':
          description: Categories
          content:
            application/json:
              schema:
                type: object
                properties:
                  categories:
                    type: array
                    items:
                      type: object
                      properties:
                        name:
                          type: string
                        category_id:
                          type: string
                        parent:
                          type:
                            - string
                            - 'null'
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````